@Echo off
rem Fichier permettant de copier l'ensemble des
rem sources du projet vers une autre destination
rem
Echo donner le chemin de destination des fichiers à copier svp (defaut=D:\Core_MPI)
set Dest=
set /P Dest="Defaut D:\SCORE_MPI"

if "%Dest%" == "" goto defaut
if "%Dest%" == " " goto defaut
 goto normal
:defaut
set dest=D:\SCORE_MPI
:normal
echo la destination est
echo "%Dest%"

If exist %Dest% goto lancecopie
Echo Attention la destination n'existe pas
Echo nous tentons de la créer
MD %Dest%
If exist %Dest%\nul goto lancecopie
Echo Création impossible du dossier. 
Echo le dossier parent n'existe pas ou le chemin est invalide
Echo vous devez le faire vous-même ou donner un chemin valide.
goto fin
:lancecopie
copy *.vhd %Dest%\
copy *.wcfg %Dest%\
copy *.prj %Dest%\
copy *.ucf %Dest%\
:fin
pause
Echo fin de la copie